
#include <cc430f5137.h>
#include <msp430.h>
#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>
#include <stdlib.h>
#include <stdio.h>

#include "serial.h"
//#include "led_commands.h"
#include "ports.h"
#include "I2C.h"




int main(void) {
  char output[32];
  WDTCTL = WDTPW | WDTHOLD;		// Stop watchdog timer
  uart_init();				//serial communication with minicom
	
  I2Cinit(0x1d);				//Initialize slave (accelerometer) address
  if(I2Csetbyte(0x2a,0x01)<0){		//set wake mode
    uart_send_string("Cannot init accel !");		//send values to minicom
    exit(-1);
  }
	while(1){
	  int ax,ay,az;
	  ax=I2Cgetbyte(0x1);			//value for x-achsis. 0x1 is 7 bit. 0x2 10 bit
	  ay=I2Cgetbyte(0x3);			//value for y-achsis. 0x1 is 7 bit. 0x2 10 bit
	  az=I2Cgetbyte(0x5);			//value for z-achsis. 0x1 is 7 bit. 0x2 10 bit
	  if(ax<0 || ay<0 || az<0) uart_send_string("Accel read error");
	  else{
	    sprintf(output,"%02x %02x %02x",ax,ay,az);//change value to hex
	    uart_send_string(output);		//send values to minicom
	    }
	  __delay_cycles(500000);		//wait
	}

	return 0;

}