#include <cc430f5137.h>
#include "serial.h"

#include <stdint.h>
#include <stdio.h>
#include <usci.h>
#include "ports.h"
#include "usi_i2c.h"

#define I2C_ID	0x1D
#define I2C_REG	0x01
//
/*
int main(void)
{
  port_mapping();				//Port configuration (includes LED mapping if needed)
  WDTCTL = WDTPW + WDTHOLD; 		// Stopping WDT. Otherwise the device goes in standby mode if the time between two actions is too long.
  uart_init();
  i2c_init(USIDIV_5, USISSEL_2);

  uart_send_string("accel");

  uint16_t mma8653[] = {(I2C_ID<<1)|0, I2C_REG, I2C_RESTART, (I2C_ID<<1)|1, I2C_READ};
  uint8_t value;
  i2c_send_sequence(mma8653_read_interrupt_source, 5, &value, LPM0_BITS);
  LPM0;

  char number[3];
  sprintf(number,"%02x",value);
  uart_send_string(number);

} 	
*/


 P3DIR |= BIT5;
 P3OUT &= ~BIT5;
 
  port_mapping();				//Port configuration (includes LED mapping if needed)
  WDTCTL = WDTPW + WDTHOLD; 		// Stopping WDT. Otherwise the device goes in standby mode if the time between two actions is too long.
  uart_init();
 
 PMAPPWD = 0x02D52; // Get write-access to port mapping regs 
 P1MAP6 = PM_UCB0SCL; // Map UCB0SCL output to P1.6 
 P1MAP7 = PM_UCB0SDA; // Map UCB0SDA output to P1.7 
 PMAPPWD = 0; // Lock port mapping registers 
 
 P1SEL |= BIT6 + BIT7; // Select P1.6 & P1.7 to I2C function

 UCB0CTL1 |= UCSWRST; // Enable SW reset
 UCB0CTL0 = UCMST + UCMODE_3 + UCSYNC; // I2C Master, synchronous mode
 UCB0CTL1 = UCSSEL_2 + UCSWRST; // Use SMCLK
 UCB0BR0 = 12; // fSCL = SMCLK/12 = ~100kHz
 UCB0BR1 = 0;
 UCB0I2CSA = 0x50; // Slave Address is 050h
 UCB0CTL1 &= ~UCSWRST; // Clear SW reset, resume operation

UCB0IE |= UCTXIE; // Enable TX interrupt

UCB0CTL1 |= UCTR + UCTXSTT; // I2C TX, start condition
 __bis_SR_register(LPM0_bits + GIE); // Enter LPM0, enable interrupts
 __no_operation(); // Remain in LPM0 until all data is TX'd

 while (UCB0CTL1 & UCTXSTP); // Ensure stop condition got sent 
 UCB0IE |= UCRXIE; // Enable RX interrupt