//RECEIVER CODE

#include <msp430.h> // generic file for register name, I/O, ...
#include <stdint.h>

#include "RF1A.h"
#include "RF_Connection.h"
#include "PMM.h"
#include "led_commands.h"
#include "ports.h"
#include "transmitter_conf.h"

#define BUFFER_SIZE		32	// maximum size of data sent by rf

#define SLIP_END			0xC0
#define SLIP_ESC			0xDB
#define SLIP_ESC_END		0xDC
#define SLIP_ESC_ESC		0xDD

#define PWM_PERIOD		255

uint8_t RxBufferLength;
uint8_t RxBuffer[BUFFER_SIZE];

void packet_received(void)
{

	RxBufferLength = ReadSingleReg(RXBYTES);		//important! otherwise nothing furhter will be received
	ReadBurstReg(RF_RXFIFORD, RxBuffer, RxBufferLength);	//important! otherwise nothing furhter will be received

	LED_1();		//indicate that something was received

}

int main(void)
{
	WDTCTL = WDTPW + WDTHOLD;		// Stop WDT
	port_mapping();
	rf_init();
	ChangeChannel(CHANNEL_START);	 

	ReceiveOn(); 
	_BIS_SR(GIE);				//enable all interrupts

	while(1){}

	return 0;
}

