#include <cc430f5137.h>
#include "serial.h"

#include <stdint.h>
#include "ports.h"

int main(void)
{
port_mapping();				//Port configuration (includes LED mapping if needed)
WDTCTL = WDTPW + WDTHOLD; 		// Stopping WDT. Otherwise the device goes in standby mode if the time between two actions is too long.
  uart_init();

  P1OUT |= BIT3;   			// Power the accelerometer through 1.3                        
  P1DIR |= BIT3;			// |= sets high=>power on

  P1IE |= BIT3; 			// P1.0 interrupt enabled
  P1IFG &= ~BIT3; 		// P1.0 interrupt flag cleared
  P1REN |= BIT3; 		// Enable Pull Up on (P1.0)
  P1IES |= BIT3; 		// P1.0 Hi/lo edge
  
 __bis_SR_register(GIE); 		// Enable all interrupts
 
  //int x=1;
  
 while(1) 				//Loop forever, we'll do everything in interrupt routine
 {uart_send_string("while");		//transmits text to pc to see if anything happens at all
__delay_cycles(500000);			//wait
__delay_cycles(500000);			//wait


 
if(P1IN && BIT3)
 {uart_send_string("P1.3 high");		//transmits text to pc to see if anything happens at all
__delay_cycles(500000);			//wait
 }
} 	


return 0;

  
}


#pragma vector = PORT1_VECTOR
__interrupt void P1_ISR(void)

{
    switch(P1IV)
    {
      case 0:
	uart_send_string("int0"); 	//transmits text to pc
	P1IFG &= ~BIT0; // P1.0 interrupt flag cleared
	break;
      case 1:
	uart_send_string("int1"); 	//transmits text to pc
	P1IFG &= ~BIT0; // P1.0 interrupt flag cleared
	break;
    }
}	



/*


}

























































#define PIN0 0x01    
#define PIN1 0x02    
#define PIN5 0x06  
#define SERIALDEV	"/dev/ttyUSB0"

int main(void)
{
    WDTCTL = WDTPW + WDTHOLD;		// Stop WDT	
    uart_init();

	
	  
	  P2OUT |= 0x06;         // Power the accelerometer through 2.5                        
	  P2DIR |= 0x06;	// |= sets high
	  
	  //Configure P1.1 and P1.0 as analog pins
	  P1SEL |= 0x01;	//1.0
	  P1SEL |= 0x02;	//1.1
	  P1DIR &=~BIT1;	// P1.1 input direction. &=~ sets low
	  P1REN &=~BIT1;
	  P1DIR &=~BIT0;	// P1.0 input direction. &=~ sets low
	  P1REN &=~BIT0;
	  
	  P1IE |= BIT0;                    // P1.0 interrupt enabled
	  P1IES |= BIT0;                  // P1.0 Hi/lo edge
	  P1IFG &= ~BIT0;               // P1.0 IFG cleared
	
	while(1)	  
	{
	
	  
	if ((P1IN & 0x02))  //if(P1IN & BIT1)
	{
	  uart_send_string("eins"); 	//transmits text to pc
	__delay_cycles(200000);			//wait
	}
	

	
	if((P1IN & BIT0))	//if P1.1 no signal send text to PC
	{
	  uart_send_string("zwei"); 	//transmits text to pc
	__delay_cycles(200000);			//wait
	}
	
	
	}
	return 0;
}

// Port 1 interrupt service routine
#pragma vector=PORT1_VECTOR
__interrupt void Port_1(void)
{    
   //P1OUT ^= BIT6;                      // Toggle P1.6
  
  	  uart_send_string("int funkt"); 	//transmits text to pc
	__delay_cycles(200000);			//wait 
	
  P1IFG &= ~BIT0;                     // P1.0 IFG cleared 
}
*/
// Echo back RXed character, confirm TX buffer is ready first
/*
#pragma vector=USCI_A0_VECTOR
__interrupt void USCI_A0_ISR(void)
{
  switch(UCA0IV)
  {
  case 0:break;                             // Vector 0 - no interrupt
  case 2:                                   // Vector 2 - RXIFG
    while (!(UCA0IFG&UCTXIFG));             // USCI_A0 TX buffer ready?
    UCA0TXBUF = UCA0RXBUF;                  // TX -> RXed character
    ////hier daten anstelle von rx einsetzen
    ////tx ist gleich der eingesetzte text
    break;
  case 4:break;                             // Vector 4 - TXIFG
  default: break;
  }
}
*/



